#include <bits/stdc++.h>
//#include "partition.h"
#define int long long
using namespace std;
map<int,int> fr1;
map<int,int> fr2;
vector<int> v;
int cum[15],minim=10,tot,tot2,minisum=1e9;
vector<int> valori;
bool ok(int n)
{
    for(int i=2; i<=n; i++)
    {
        for(int j=1; j<i; j++)
            if(cum[i]==cum[j])
                return false;
    }
    return true;
}
void verif(int n)
{
    int sum=0,i=1;
    while(i<=n&&sum<tot)
    {
        sum+=valori[cum[i]];
        i++;
    }
    i--;
    int dif=abs((n-i)-i);
    if(dif<minim)
    {
        minim=dif;
        minisum=abs((tot2-sum)-sum);
        v.clear();
        for(i=1; i<=n; i++)
            v.push_back(cum[i]);
    }
    else if(dif==minim)
    {
        dif=abs((tot2-sum)-sum);
        if(dif<minisum)
        {
            minisum=dif;
            v.clear();
            for(i=1; i<=n; i++)
                v.push_back(cum[i]);
        }
    }
}